org.keycloak.protocol.saml

## Class SAML2BindingBuilder.RedirectBindingBuilder

- java.lang.Object
- - org.keycloak.protocol.saml.SAML2BindingBuilder.RedirectBindingBuilder

- Enclosing class:
    SAML2BindingBuilder<T extends SAML2BindingBuilder>

      public class SAML2BindingBuilder.RedirectBindingBuilder
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Document` | `document`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAML2BindingBuilder.RedirectBindingBuilder(Document document)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Document` | `getDocument()`
    `javax.ws.rs.core.Response` | `response()`
    `URI` | `responseUri()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### document

          protected Document document

  - ### Constructor Detail

    - #### SAML2BindingBuilder.RedirectBindingBuilder

          public SAML2BindingBuilder.RedirectBindingBuilder(Document document)
                                                     throws org.picketlink.common.exceptions.ProcessingException

      Throws:
        `org.picketlink.common.exceptions.ProcessingException`

  - ### Method Detail

    - #### getDocument

          public Document getDocument()

    - #### responseUri

          public URI responseUri()
                          throws org.picketlink.common.exceptions.ConfigurationException,
                                 org.picketlink.common.exceptions.ProcessingException,
                                 IOException

      Throws:
        `org.picketlink.common.exceptions.ConfigurationException`
        `org.picketlink.common.exceptions.ProcessingException`
        `IOException`

    - #### response

          public javax.ws.rs.core.Response response()
                                             throws org.picketlink.common.exceptions.ProcessingException,
                                                    org.picketlink.common.exceptions.ConfigurationException,
                                                    IOException

      Throws:
        `org.picketlink.common.exceptions.ProcessingException`
        `org.picketlink.common.exceptions.ConfigurationException`
        `IOException`

Copyright © 2014. All Rights Reserved.